Loading...
Searching...
No Matches
juce::GridItem::Property Struct Reference

## Detailed Description

Represents a property.

The documentation for this struct was generated from the following file:

- juce_gui_basics/layout/juce_GridItem.h

## Public Member Functions

| Property () noexcept
| Property (Keyword keyword) noexcept
| Property (const char *lineNameToUse) noexcept
| Property (const String &lineNameToUse) noexcept
| Property (int numberToUse) noexcept
| Property (int numberToUse, const String &lineNameToUse) noexcept
| Property (Span spanToUse) noexcept
bool | hasSpan () const noexcept
bool | hasAbsolute () const noexcept
bool | hasAuto () const noexcept
bool | hasName () const noexcept
const String & | getName () const noexcept
int | getNumber () const noexcept

## Constructors and Destructors

## Property() [1/7]

juce::GridItem::Property::Property | ( |  | ) |

noexcept

Referenced by Property(), Property(), Property(), Property(), Property(), and Property().

## Property() [2/7]

juce::GridItem::Property::Property | ( | Keyword | keyword | ) |

noexcept

References Property().

## Property() [3/7]

juce::GridItem::Property::Property | ( | const char * | lineNameToUse | ) |

noexcept

References Property().

## Property() [4/7]

juce::GridItem::Property::Property | ( | const String & | lineNameToUse | ) |

noexcept

References Property().

## Property() [5/7]

juce::GridItem::Property::Property | ( | int | numberToUse | ) |

noexcept

References Property().

## Property() [6/7]

juce::GridItem::Property::Property | ( | int | numberToUse,
|  | const String & | lineNameToUse )

noexcept

References Property().

## Property() [7/7]

juce::GridItem::Property::Property | ( | Span | spanToUse | ) |

noexcept

References Property().

## Member Functions

## hasSpan()

bool juce::GridItem::Property::hasSpan | ( |  | ) | const

inline noexcept

References hasSpan().

Referenced by hasSpan().

## hasAbsolute()

bool juce::GridItem::Property::hasAbsolute | ( |  | ) | const

inline noexcept

## hasAuto()

bool juce::GridItem::Property::hasAuto | ( |  | ) | const

inline noexcept

## hasName()

bool juce::GridItem::Property::hasName | ( |  | ) | const

inline noexcept

## getName()

const String & juce::GridItem::Property::getName | ( |  | ) | const

inline noexcept

## getNumber()

int juce::GridItem::Property::getNumber | ( |  | ) | const

inline noexcept

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited